#include <iostream>
#include <algorithm>
#include <string>
#include <iomanip>
#include <cmath>
#include <bits/stdc++.h>



using namespace std;


const long long niz =1000000005;
long long* h = new long long[niz];


int main (){

   long long n, l;

   cin >> n >> l;


    for(int i=1;i<=n;i++){
        cin >> h[i];
    }


    bool visi = true;
  for (int i = 1; i<=n; i++){

      if(h[i]<=l){
        visi = false;
        cout << i;
        break;
       }

  }
  if(visi){
        cout << -1;
      }


   return 0;
}